Bug 437948 - xautolock should honor XSS state
xautolock should honor XSS state
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xautolock (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 08:12 EDT by Thomas Woerner
Modified: 2008-04-24 00:37 EDT (History)
0 users

See Also:
Fixed In Version: 2.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 00:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Honor XSS state. (522 bytes, patch)
2008-03-18 08:12 EDT, Thomas Woerner
no flags Details | Diff
Patch for spec file. (1.16 KB, patch)
2008-03-18 08:12 EDT, Thomas Woerner
no flags Details | Diff

  None (edit)
Description Thomas Woerner 2008-03-18 08:12:06 EDT
Description of problem:
xautolock should honor the XSS state. With "xset s off" you can set the state to
disabled.

Version-Release number of selected component (if applicable):
xautolock-2.2-4

How reproducible:
Always

Steps to Reproduce:
1. Start xautolock
2. Disable XSS with "xset s off"
3.
  
Actual results:
Screen gets locked.

Expected results:
No screen locking.

Additional info:
Comment 1 Thomas Woerner 2008-03-18 08:12:06 EDT
Created attachment 298383 [details]
Honor XSS state.
Comment 2 Thomas Woerner 2008-03-18 08:12:53 EDT
Created attachment 298384 [details]
Patch for spec file.
Comment 3 Ian Weller 2008-03-18 12:30:19 EDT
Thomas, thanks for the report, doublethanks for the patches. :)  I'll get them
built and put in Bodhi today.

Out of curiosity, why should xautolock honor the XSS state?
Comment 4 Thomas Woerner 2008-03-18 12:46:05 EDT
Video players and applications like games are using it in full screen mode to
disable screen saving.
Comment 5 Fedora Update System 2008-03-18 15:04:06 EDT
xautolock-2.2-5.fc7 has been submitted as an update for Fedora 7
Comment 6 Fedora Update System 2008-03-18 15:04:34 EDT
xautolock-2.2-5.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-03-21 18:08:29 EDT
xautolock-2.2-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-03-21 18:13:39 EDT
xautolock-2.2-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Ian Weller 2008-04-21 22:53:59 EDT
it looks like this patch is causing xautolock to not function at all. reopening bug.

i'm not exactly sure how to fix it, and i'm thinking that honoring the XSS state
is not really a blocker, so my plan is to remove the patch unless there's a fix.
Comment 10 Ian Weller 2008-04-24 00:37:51 EDT
never mind.

Note You need to log in before you can comment on or make changes to this bug.